% Function to compute the persistence diagram of a function on a mesh.
function [B, D, P] = paired_mesh_persistence(surface, f)

    edges = [surface.TRIV(:,[1 2]);
             surface.TRIV(:,[2 3]);
             surface.TRIV(:,[1 3])];
    edges = unique(sort(edges,2),'rows');
    
    [B, D, P] = graph_persistence(double(edges), double(f));
end